Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.liacs.subdisc
Class BinaryTable

    java.lang.Object
      nl.liacs.subdisc.BinaryTable

    public class BinaryTable

extends java.lang.Object

Constructor Summary
`BinaryTable()`
`BinaryTable(java.util.ArrayList<java.util.BitSet> theTargets, int theNrRecords)`
`BinaryTable(Table theTable, java.util.List<Column> theAttributes)`

Method Summary
`void` | `addColumn(java.util.BitSet theBitSet)`
`double` | `computeBDeuFaster()`
`CrossCube` | `countCrossCube()`
`java.util.BitSet` | `getColumn(int theIndex)`
`int` | `getNrColumns()`
`int` | `getNrRecords()`
`java.util.BitSet` | `getRow(int theIndex)`
`void` | `print()`
`void` | `removeColumn(java.util.BitSet theBitSet)`
`void` | `removeColumn(int theIndex)`
`BinaryTable` | `selectColumns(ItemSet theItemSet)`
`BinaryTable` | `selectRows(java.util.BitSet theMembers)`
`void` | `setColumn(java.util.BitSet theBitSet, int theIndex)`
`void` | `setNrRecords(int theNrRecords)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BinaryTable

    public BinaryTable(Table theTable,
                       java.util.List<Column> theAttributes)

### BinaryTable

    public BinaryTable()

### BinaryTable

    public BinaryTable(java.util.ArrayList<java.util.BitSet> theTargets,
                       int theNrRecords)

Method Detail

### getRow

    public java.util.BitSet getRow(int theIndex)

### selectColumns

    public BinaryTable selectColumns(ItemSet theItemSet)

### selectRows

    public BinaryTable selectRows(java.util.BitSet theMembers)

### countCrossCube

    public CrossCube countCrossCube()

### computeBDeuFaster

    public double computeBDeuFaster()

### print

    public void print()

### setNrRecords

    public void setNrRecords(int theNrRecords)

### getNrRecords

    public int getNrRecords()

### getNrColumns

    public int getNrColumns()

### addColumn

    public void addColumn(java.util.BitSet theBitSet)

### getColumn

    public java.util.BitSet getColumn(int theIndex)

### removeColumn

    public void removeColumn(java.util.BitSet theBitSet)

### removeColumn

    public void removeColumn(int theIndex)

### setColumn

    public void setColumn(java.util.BitSet theBitSet,
                          int theIndex)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD